"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const Box = require("../../node_modules/.pnpm/@mantine_core@7.17.8_patch_hash_3qirwkgu3wxhvd6hnr2gb24yzq_@mantine_hooks@7.17.8_react@18.3.1_e5yvlgwhmeykc75dkphi7jou6q/node_modules/@mantine/core/esm/core/Box/Box.cjs");
const IconAnchor = (props, ref) => {
  return /* @__PURE__ */ jsxRuntime.jsx(
    "svg",
    {
      width: "1em",
      height: "1em",
      viewBox: "0 0 16 16",
      fill: "none",
      xmlns: "http://www.w3.org/2000/svg",
      strokeWidth: "1.5",
      ref,
      ...props,
      children: /* @__PURE__ */ jsxRuntime.jsx(
        "path",
        {
          d: "M8 5.33334C9.10457 5.33334 10 4.43791 10 3.33334C10 2.22877 9.10457 1.33334 8 1.33334C6.89543 1.33334 6 2.22877 6 3.33334C6 4.43791 6.89543 5.33334 8 5.33334ZM8 5.33334V14.6667M8 14.6667C6.23189 14.6667 4.5362 13.9643 3.28596 12.7141C2.03571 11.4638 1.33334 9.76812 1.33334 8.00001H3.33334M8 14.6667C9.76811 14.6667 11.4638 13.9643 12.714 12.7141C13.9643 11.4638 14.6667 9.76812 14.6667 8.00001H12.6667",
          stroke: "currentColor",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "inherit"
        }
      )
    }
  );
};
const ForwardRef = React.forwardRef(IconAnchor);
const Anchor = React.forwardRef((props, ref) => {
  if (typeof props.size === "number") {
    const { size, ...rest } = props;
    props = {
      ...rest,
      w: size,
      h: size
    };
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    Box.Box,
    {
      ref,
      ...props,
      component: ForwardRef,
      className: ["tiui-icon", "Anchor", props.className].join(" ")
    }
  );
});
Anchor.displayName = "IconAnchor";
exports.default = Anchor;
